# This makefile was generated by gnu_gama_dep version 1.01
# for GNU Gama subproject 'expat' for the win32-borland platform
#
# ------------------------------------------------------------------
#
CC         = bcc32
CFLAGS     = -A -Od -w-8008 -w-8065 -w-8066 -w-8057
CXX        = bcc32
CXXFLAGS   = -DGNU_gama_expat_1_1 -I../../.. -w-8026 -w-8027 -w-8004 -tWR
OBJ        = obj
LIBR       = tlib /P4096 libgama.lib +
RANLIB     = rem
LINK       = bcc32
LFLAGS     = -E
LIBS       = ../lib/libgama.lib
MAKE       = make
LIBGAMA    = libgama.lib
P_GAMA_L   = gama-local.exe
P_GAMA_G3  = gama-g3.exe
#
# ------------------------------------------------------------------
#

SRC=../../../
OBJDIR=

ALL : $(LIBGAMA)

$(OBJDIR)xmltok.$(OBJ) : $(SRC)expat/xmltok/xmltok.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmltok/xmltok.c
	$(LIBR) xmltok.$(OBJ)

$(OBJDIR)xmlrole.$(OBJ) : $(SRC)expat/xmltok/xmlrole.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmltok/xmlrole.c
	$(LIBR) xmlrole.$(OBJ)

$(OBJDIR)codepage.$(OBJ) : $(SRC)expat/xmlwf/codepage.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlwf/codepage.c
	$(LIBR) codepage.$(OBJ)

$(OBJDIR)xmlparse.$(OBJ) : $(SRC)expat/xmlparse/xmlparse.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlparse/xmlparse.c
	$(LIBR) xmlparse.$(OBJ)

$(OBJDIR)hashtable.$(OBJ) : $(SRC)expat/xmlparse/hashtable.c
	$(CC) $(CFLAGS) -O2 -I../../../expat/xmltok -I../../../expat/xmlparse -DXML_NS -c $(SRC)expat/xmlparse/hashtable.c
	$(LIBR) hashtable.$(OBJ)

$(LIBGAMA) : xmltok.$(OBJ) xmlrole.$(OBJ) codepage.$(OBJ) xmlparse.$(OBJ) hashtable.$(OBJ)
	$(RANLIB)

